For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create new service status

Create a new service status. Set position to reflect which step in the workflow this status will be.

Required permissions: SERVICE_ORDER

post
/tenants/{tenantUid}/serviceorders/statuses
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
statestring · enumRequiredPossible values:
deprecatedbooleanOptional
serviceStatusUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
serviceStatusUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
statestring · enumRequiredPossible values:
deprecatedbooleanRequiredDefault: false
post/tenants/{tenantUid}/serviceorders/statuses
POST /v2/tenants/{tenantUid}/serviceorders/statuses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 81

{
  "name": "text",
  "state": "NOT_STARTED",
  "deprecated": true,
  "serviceStatusUid": "text"
}
201

Example response

{
  "serviceStatusUid": "text",
  "tenantUid": "text",
  "name": "text",
  "state": "NOT_STARTED",
  "deprecated": false
}

Last updated

Was this helpful?